package com.aliyun.iot.demo;

import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.iot.model.v20180120.PubBroadcastRequest;
import com.aliyuncs.iot.model.v20180120.PubBroadcastResponse;
import com.aliyuncs.profile.DefaultProfile;
import org.eclipse.paho.client.mqttv3.internal.websocket.Base64;

public class PopBroadcastServer {
    public static void main(String[] args) {
        String regionId = "您设备所处区域regionId";
        String accessKey = "您的阿里云accessKey";
        String accessSecret = "您的阿里云accessSecret";
        final String productKey = "您的productKey";
        //设置client的参数
        DefaultProfile profile = DefaultProfile.getProfile(regionId, accessKey, accessSecret);
        IAcsClient client = new DefaultAcsClient(profile);

        PubBroadcastRequest request = new PubBroadcastRequest();
        //设置广播消息的topic，格式为 以/broadcast/${productKey}开头，用户自定义后面的后缀
        request.setTopicFullName("/broadcast/" + productKey + "/userDefine");
        request.setProductKey(productKey);
        //设置消息的内容，一定要用base64编码，否则乱码
        request.setMessageContent(Base64.encode("{\"accuracy\":0.001,\"time\":now}"));
        try {
            PubBroadcastResponse response = client.getAcsResponse(request);
            System.out.println("broadcast pub success?:" + response.getSuccess());
        } catch (Exception e) {
            System.out.println(e);
        }
    }
}
